<template>
  <q-page class="q-px-sm bg-blue-grey-1">
    <div class="text-h1 text-center text-primary q-pa-xl">
      Bienvenido a Proximity
    </div>
  </q-page>
</template>

<script>

const nodes = [
  {
    id: '0',
    instance_uid: '1.3.12.2.1107.5.1.4.83885.30000020060309041520600012723',
    url_image: '1.3.12.2.1107.5.1.4.83885.30000020060309041520600012723',
    metadata: {
      diagnostico: '',
      covid: false
    },
    links: [
      {
        id: '3',
        m: 56
      },
      {
        id: '1',
        m: 51
      },
      {
        id: '2',
        m: 53
      },
      {
        id: '5',
        m: 68
      }
    ],
    depth: 2
  },
  {
    id: '3',
    instance_uid: '1.3.12.2.1107.5.1.4.83885.30000020050509015173800008139',
    url_image: '/health/curated/image_filtered/app_dicom_imagen_filtered/1.3.12.2.1107.5.1.4.83885.30000020050509015173800008139.tiff',
    metadata: {
      diagnostico: 'Coronavirus as the cause of diseases classified to other chapters',
      covid: true
    },
    links: [
      {
        id: '4',
        m: 1
      }
    ],
    depth: 1
  },
  {
    id: '4',
    instance_uid: '1.3.12.2.1107.5.1.4.83885.30000020050509015173800008138',
    url_image: '/health/curated/image_filtered/app_dicom_imagen_filtered/1.3.12.2.1107.5.1.4.83885.30000020050509015173800008138.tiff',
    metadata: {
      diagnostico: 'Coronavirus as the cause of diseases classified to other chapters',
      covid: true
    },
    links: [],
    depth: 0
  },
  {
    id: '1',
    instance_uid: '1.3.12.2.1107.5.1.4.83885.30000020060908161465900004819',
    url_image: '/health/curated/image_filtered/app_dicom_imagen_filtered/1.3.12.2.1107.5.1.4.83885.30000020060908161465900004819.tiff',
    metadata: {
      diagnostico: '',
      covid: false
    },
    links: [],
    depth: 0
  },
  {
    id: '2',
    instance_uid: '1.3.12.2.1107.5.1.4.83885.30000020052420453127300004708',
    url_image: '/health/curated/image_filtered/app_dicom_imagen_filtered/1.3.12.2.1107.5.1.4.83885.30000020052420453127300004708.tiff',
    metadata: {
      diagnostico: 'Coronavirus as the cause of diseases classified to other chapters',
      covid: true
    },
    links: [],
    depth: 0
  },
  {
    id: '5',
    instance_uid: '1.3.12.2.1107.5.1.4.83885.30000020050509015173800008164',
    url_image: '/health/curated/image_filtered/app_dicom_imagen_filtered/1.3.12.2.1107.5.1.4.83885.30000020050509015173800008164.tiff',
    metadata: {
      diagnostico: 'Coronavirus as the cause of diseases classified to other chapters',
      covid: true
    },
    links: [],
    depth: 0
  }
]

export default {
  name: 'Home',
  data () {
    return {
      img: '',
      model: null,
      title: 'Proximity'
    }
  },
  beforeMount () {
    // console.log(nodes)
    const nodesCovid = []
    nodes.forEach(function (node) {
      if (node.metadata.covid === true) {
        nodesCovid.push(node.id)
      }
    })
    // console.log(nodesCovid)
  },
  meta () {
    return {
      title: this.title
    }
  }
}
</script>
